/* myMusic
 *
 * This program is distributed under the GNU General Public License, version 2.
 * A copy of this license is included with this source.
 *
 * Copyright 2004-2006, Toni Thomsson <toni@tonjac.org> 
*/

// Implementation of class Cmp3CgiException

#include "mp3_cgi_exception.h"
#include "mp3_config.h"
#include <zz_mail.h>
#include <time.h>
#include <sys/timeb.h>
#include <sys/types.h> 

// Construction
Cmp3CgiException::Cmp3CgiException( const char* msg )
 : m_Form( NULL )
{
	Cmp3Config cfg;
	
	try 
	{ 
		CzzString dir = Cmp3Config::getRootDir();
		m_Form = new Cmp3HtmlFile( "mp3_exception.html" );
		m_Form->print( 1, dir.c_str(), dir.c_str(), msg );
	} 
	catch( ... ) 
	{ 
		printf( "<HTML><B><H2>%s</H2></B></HTML>", msg ); 
	};
}

// Destruction
Cmp3CgiException::~Cmp3CgiException()
{
	delete m_Form;
}

