/* myMusic
 *
 * This program is distributed under the GNU General Public License, version 2.
 * A copy of this license is included with this source.
 *
 * Copyright 2004-2006, Toni Thomsson <toni@tonjac.org> 
*/

/**
	Songlist data service

	Toni Thomsson, toni@tonjac.org
*/

#ifndef mp3_song_list_data_h
#define mp3_song_list_data_h

#include <zz_data_service.h>

class Cmp3SongListData : public CzzDataService
{
public:

	//* Construction
	Cmp3SongListData();
	virtual ~Cmp3SongListData();

	CzzDataServiceReply* execute( void* session, CzzParameterMap* req );

    virtual int size();

protected:
private:
	void printSongList( const CzzString& name, const CzzString& album, const char* song, CzzDataServiceReply* reply );
};

#endif // mp3_song_list_data_h