/* myMusic
 *
 * This program is distributed under the GNU General Public License, version 2.
 * A copy of this license is included with this source.
 *
 * Copyright 2004-2006, Toni Thomsson <toni@tonjac.org> 
*/

/**
	Version list data service

	Toni Thomsson, toni@tonjac.org
*/

#ifndef mp3_version_list_data_h
#define mp3_version_list_data_h

#include <zz_data_service.h>

class Cmp3VersionListData : public CzzDataService
{
public:

	//* Construction
	Cmp3VersionListData( void );
	virtual ~Cmp3VersionListData();

	virtual CzzDataServiceReply* execute( void* session, CzzParameterMap* req );

    virtual int size();

protected:
private:
	CzzString getVersion( const char* component );

};

#endif // mp3_version_list_data_h