/* myMusic
 *
 * This program is distributed under the GNU General Public License, version 2.
 * A copy of this license is included with this source.
 *
 * Copyright 2004-2006, Toni Thomsson <toni@tonjac.org> 
*/
 
/**
	Webserver config

	Toni Thomsson, toni@tonjac.org
*/

#ifndef mp3_web_config_h
#define mp3_web_config_h

#include "mp3_thread_safe_config.h"
#include <zz_string.h>

// The class
class Cmp3WebConfig
{
public:

	//* Construction
	Cmp3WebConfig();
	~Cmp3WebConfig();

	static CzzString getAlias( const CzzString& alias );
	static CzzString getUserPwd( const CzzString& usr );
	static CzzString appName( void );
	static CzzString getLang( void );
	static CzzString getSkin( void );
	static CzzString getDocumentRoot( void );
	static CzzString getListenPort( void );
	static CzzString getAccessLog( void );
	static bool getDoAcessLog( void );

private:
	static Cmp3ThreadSafeConfig* m_Config;
};

#endif // mp3_web_config_h


