/* libzz
 *
 * This program is distributed under the GNU General Public License, version 2.
 * A copy of this license is included with this source.
 *
 * Copyright 2000-2006, Toni Thomsson <toni@tonjac.org> 
*/

#if !defined(zz_errors_h)
#define zz_errors_h

/* Generic errorcodes, i.e for Czz-classes */
#define ZZ_DATABASE_ERROR     2010
#define ZZ_PERLWRAPPER_ERROR  2020
#define ZZ_PIPEMAN_ERROR      2030 
#define ZZ_SECSRV_ERROR		  2040

#define ZZ_ARG_MISSING		  2050
#define ZZ_ARG_NOT_FOUND	  2051
#define ZZ_INTERNAL			  2052
#define ZZ_COULD_NOT_OPEN	  2053
#define ZZ_NOT_OPEN			  2054
#define ZZ_TUX_NOVAR		  2055
#define ZZ_TUX_COULDNOTSETENV 2056
#define ZZ_TUX_NOTONLINE      2057

#endif
