/* myMusic
 *
 * This program is distributed under the GNU General Public License, version 2.
 * A copy of this license is included with this source.
 *
 * Copyright 2004-2006, Toni Thomsson <toni@tonjac.org> 
*/

/**
	Latest updates list data service

	Toni Thomsson, toni@tonjac.org
*/

#ifndef mp3_latest_list_data_h
#define mp3_latest_list_data_h

#include <zz_data_service.h>
#include <mp3_list.h>

class Cmp3LatestListData : public CzzDataService
{
public:

	//* Construction
	Cmp3LatestListData();
	virtual ~Cmp3LatestListData();

	CzzDataServiceReply* execute( void* session, CzzParameterMap* req );

    virtual int size();

protected:
private:
	void countAlbumsAndSongs( const char* artist, const char* path, int* albums, int* songs, Cmp3List* list );
	void countSongs( const char* path, int* songs, Cmp3List* list );
};

#endif // mp3_latest_list_data_h