/* myMusic
 *
 * This program is distributed under the GNU General Public License, version 2.
 * A copy of this license is included with this source.
 *
 * Copyright 2004-2006, Toni Thomsson <toni@tonjac.org> 
*/

/**
	Recordlist data service

	Toni Thomsson, toni@tonjac.org
*/

#ifndef mp3_record_list_data_h
#define mp3_record_list_data_h

#include <zz_data_service.h>

class Cmp3RecordListData : public CzzDataService
{
public:

	//* Construction
	Cmp3RecordListData();
	virtual ~Cmp3RecordListData();

	CzzDataServiceReply* execute( void* session, CzzParameterMap* req );

    virtual int size();

protected:
private:
	void printRecordList( const CzzString& name, const char* album, CzzDataServiceReply* reply );

};

#endif // mp3_record_list_data_h